# Uses of Interface
org.opensaml.core.config.Configuration

Packages that use Configuration
Package
Description
org.opensaml.core.config
Interfaces and classes related to library configuration and initialization.
org.opensaml.core.config.provider
Implementation of library configuration and initialization.

## Uses of Configuration in org.opensaml.core.config

Fields in org.opensaml.core.config declared as Configuration
Modifier and Type
Field
Description
`private static Configuration`
ConfigurationService.`configuration`
The configuration instance to use.
Methods in org.opensaml.core.config that return Configuration
Modifier and Type
Method
Description
`protected static Configuration`
ConfigurationService.`getConfiguration()`
Get the `Configuration` instance to use.
Methods in org.opensaml.core.config with parameters of type Configuration
Modifier and Type
Method
Description
`static void`
ConfigurationService.`setConfiguration(Configuration newConfiguration)`
Set the `Configuration` instance to use.

## Uses of Configuration in org.opensaml.core.config.provider

Classes in org.opensaml.core.config.provider that implement Configuration
Modifier and Type
Class
Description
`class`
`MapBasedConfiguration`
A configuration implementation which stores registered configuration instances in a local instance of `ConcurrentHashMap`.